Форум программистов, компьютерный форум, киберфорум
Наши страницы
Python: Сети
Войти
Регистрация
Восстановить пароль
 
bochkovoy10
0 / 0 / 1
Регистрация: 21.08.2015
Сообщений: 20
1

Не получается запустить телеграм-бота

23.09.2018, 15:42. Просмотров 223. Ответов 1

Всем привет. Первый раз пробую что-либо писать на питоне. Пытаюсь запустить простейшего телеграм-бота с использованием библиотеки telebot.

Вот код:
Python
1
2
3
4
5
6
import constants
import telebot
 
bot = telebot.TeleBot(constants.token)
 
bot.send_message(660520559, "test")

После запуска компилятор выдает кучу ошибок:

Кликните здесь для просмотра всего текста

C:\Users\bochk\PycharmProjects\telegrambot\venv\Scripts\python.exe C:/Users/bochk/PycharmProjects/telegrambot/main.py
Traceback (most recent call last):
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
chunked=chunked)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\connectionpool.py", line 849, in _validate_conn
conn.connect()
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\connection.py", line 356, in connect
ssl_context=context)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\util\ssl_.py", line 359, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "D:\Programs\Python\Python37-32\lib\ssl.py", line 412, in wrap_socket
session=session
File "D:\Programs\Python\Python37-32\lib\ssl.py", line 850, in _create
self.do_handshake()
File "D:\Programs\Python\Python37-32\lib\ssl.py", line 1108, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:1045)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\requests\adapters.py", line 445, in send
timeout=timeout
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\urllib3\util\retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.telegram.org', port=443): Max retries exceeded with url: /bot<ТОКЕН БОТА>/sendMessage?chat_id=660520559&text=test (Caused by SSLError(SSLError(1, '[SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:1045)')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:/Users/bochk/PycharmProjects/telegrambot/main.py", line 6, in <module>
bot.send_message(660520559, "test")
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\telebot\__init__.py", line 598, in send_message
reply_markup, parse_mode, disable_notification))
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\telebot\apihelper.py", line 140, in send_message
return _make_request(token, method_url, params=payload, method='post')
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\telebot\apihelper.py", line 54, in _make_request
timeout=(connect_timeout, read_timeout), proxies=proxy)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\requests\sessions.py", line 512, in request
resp = self.send(prep, **send_kwargs)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\requests\sessions.py", line 622, in send
r = adapter.send(request, **kwargs)
File "C:\Users\bochk\PycharmProjects\telegrambot\venv\lib\site-packages\requests\adapters.py", line 511, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='api.telegram.org', port=443): Max retries exceeded with url: /bot<ТОКЕН БОТА>/sendMessage?chat_id=660520559&text=test (Caused by SSLError(SSLError(1, '[SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:1045)')))

Process finished with exit code 1


Я правильно понимаю, что проблема возникает из-за блокировки Телеграма? Как проще всего исправить ошибку?

Добавлено через 56 минут

Добавлено через 59 секунд
Пустил весь трафик с компьютера через прокси — все заработало =D
0
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
23.09.2018, 15:42
Ответы с готовыми решениями:

Календарь для телеграм бота
Есть 2 функции: реализации календаря и выбора даты. @bot.message_handler(commands=) def...

Не получается запустить простую программу на Python
Всем привет! Проблема следующая: Взял файлы отсюда:...

Сервер и клиент RFCOMM на python не получается запустить
Доброго времени суток!Недавно заинтересовался темой bluetooth и нашел пример с сервером и клиентом...

Телеграм бот в python
Привет всем) Очень нужна ваша помощь в создании бота. Идея бота в поиске слов из заданных...

телеграм бот калькулятор
Имеется скрипт клавиатуры и калькулятора, как сделать так чтобы функция калькулятора принимала ввод...

1
OstapKob
0 / 0 / 0
Регистрация: 23.03.2018
Сообщений: 3
15.11.2018, 10:03 2
С наших IP это не решить надо разворачивать сервер (лучше Linux) и на нём запускать бота
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
15.11.2018, 10:03

Телеграм бот на python
Здравствуйте, при создании бота на языке Python выдает следующую ошибку: AttributeError: module...

Не приходят сообщения в телеграм бот
пытаюсь сделать телеграм бота, по видио урокам вот кодimport requests import misc import json ...

Бот в Телеграм: как настроить прокси
Здравствуйте всем! Помогите, пожалуйста, справиться: у меня есть бот в телеграм, написанный с...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
2
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru